# Uses of Class
org.osgi.framework.BundleEvent

Packages that use BundleEvent
Package
Description
org.apache.felix.framework.util
org.osgi.framework
Framework Package Version 1.8.
org.osgi.framework.hooks.bundle
Framework Bundle Hooks Package Version 1.1.
org.osgi.util.tracker
Tracker Package Version 1.5.

## Uses of BundleEvent in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type BundleEvent
Modifier and Type
Method
Description
`void`
EventDispatcher.`fireBundleEvent(BundleEvent event, Framework felix)`
`void`
SecureAction.`invokeBundleEventHook(EventHook eh, BundleEvent event, Collection<BundleContext> contexts)`

## Uses of BundleEvent in org.osgi.framework

Methods in org.osgi.framework with parameters of type BundleEvent
Modifier and Type
Method
Description
`void`
BundleListener.`bundleChanged(BundleEvent event)`
Receives notification that a bundle has had a lifecycle change.

## Uses of BundleEvent in org.osgi.framework.hooks.bundle

Methods in org.osgi.framework.hooks.bundle with parameters of type BundleEvent
Modifier and Type
Method
Description
`void`
EventHook.`event(BundleEvent event, Collection<BundleContext> contexts)`
Bundle event hook method.

## Uses of BundleEvent in org.osgi.util.tracker

Methods in org.osgi.util.tracker with parameters of type BundleEvent
Modifier and Type
Method
Description
`T`
BundleTracker.`addingBundle(Bundle bundle, BundleEvent event)`
Default implementation of the `BundleTrackerCustomizer.addingBundle` method.
`T`
BundleTrackerCustomizer.`addingBundle(Bundle bundle, BundleEvent event)`
A bundle is being added to the `BundleTracker`.
`void`
BundleTracker.`modifiedBundle(Bundle bundle, BundleEvent event, T object)`
Default implementation of the `BundleTrackerCustomizer.modifiedBundle` method.
`void`
BundleTrackerCustomizer.`modifiedBundle(Bundle bundle, BundleEvent event, T object)`
A bundle tracked by the `BundleTracker` has been modified.
`void`
BundleTracker.`removedBundle(Bundle bundle, BundleEvent event, T object)`
Default implementation of the `BundleTrackerCustomizer.removedBundle` method.
`void`
BundleTrackerCustomizer.`removedBundle(Bundle bundle, BundleEvent event, T object)`
A bundle tracked by the `BundleTracker` has been removed.